Skip to main content
GET
/
api
/
v1
/
workspaces
/
{workspace_id}
/
audit-log
List Audit Logs
curl --request GET \
  --url https://api.example.com/api/v1/workspaces/{workspace_id}/audit-log \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "action_type": "<string>",
    "description": "<string>",
    "details": {},
    "source": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

limit
integer
default:50
offset
integer
default:0

Response

Successful Response

id
string<uuid>
required
workspace_id
string<uuid>
required
workspace_task_id
string<uuid> | null
required
action_type
string
required
description
string
required
details
Details · object
required
source
string
required
created_at
string<date-time>
required